## mastodon-el 2.0.1

=== Makefile ===
PKG = mastodon

CP = cp
LN = ln

EMACS = emacs
MAKEINFO = makeinfo
INSTALL-INFO = install-info
ORG_DIR = $(word 1,$(wildcard $(HOME)/.emacs.d/elpa/org-9*))
ORG_PATH = -L $(ORG_DIR)
ORG_ARGS = --batch $(ORG_PATH) -l org -l ol-man
ORG_EVAL1 = --funcall org-texinfo-export-to-texinfo
ORG_EVAL2 = --funcall org-texinfo-export-to-info

## ################################################################

.PHONY: infoclean tests testsclean

all: $(PKG).info dir

infoclean:
	rm -f $(PKG).org $(PKG).texi $(PKG).info dir

tests:
	cask emacs -batch -load test/ert-helper.el -f ert-run-tests-batch-and-exit

testsclean:
	rm -f stubfile.plstore~

## ################################################################

# May look at this in the future
#
# %.info: %.texi
#	@printf "Generating $@\n"
#	$(MAKEINFO) --no-split $< -o $@
#
# %.texi: %.org
#	@printf "Generating $@\n"
#	$(EMACS) $(ORG_ARGS) $@ $(ORG_EVAL1)

%.info: %.org
	@printf "Generating $@\n"
	$(EMACS) $(ORG_ARGS) $< $(ORG_EVAL2)

dir: $(PKG).info
	printf "Generating $@\n"
	echo $^ | xargs -n 1 $(INSTALL-INFO) --dir=$@

$(PKG).org: README.org
	$(CP) $< $@

## mastodon-el 1.0.0

=== debian/changelog ===
mastodon-el (1.0.0-2) unstable; urgency=medium

  * Source-only upload

 -- Martin <debacle@debian.org>  Tue, 01 Nov 2022 23:51:35 +0000

mastodon-el (1.0.0-1) unstable; urgency=medium

  * Initial package (Closes: #1020762)

 -- Martin <debacle@debian.org>  Mon, 26 Sep 2022 21:26:40 +0000

=== debian/control ===
Source: mastodon-el
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 13),
	dh-elpa,
	elpa-el-mock,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://codeberg.org/martianh/mastodon.el
Vcs-Git: https://salsa.debian.org/emacsen-team/mastodon-el.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/mastodon-el

Package: elpa-mastodon
Architecture: all
Depends: ${elpa:Depends},
	${misc:Depends},
Recommends: emacs,
Enhances: emacs
Description: Emacs client for the Mastodon and Pleroma social networks
 mastodon.el is an Emacs client for the Mastodon and Pleroma social
 networks. For info see https://joinmastodon.org/. Type M-x mastodon
 to start.

=== debian/rules ===
#!/usr/bin/make -f

ELPA_NAME=mastodon
export ELPA_NAME

%:
	dh $@ --with elpa

override_dh_elpa_test:

## mastodon-el 1.0.13

=== debian/changelog ===
mastodon-el (1.0.13-1) unstable; urgency=medium

  * New upstream version

 -- Martin <debacle@debian.org>  Tue, 07 Nov 2023 22:11:11 +0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
 	dh-elpa,
 	elpa-el-mock,
+	texinfo,
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://codeberg.org/martianh/mastodon.el

## mastodon-el 1.1.8

=== debian/changelog ===
mastodon-el (1.1.8-1) unstable; urgency=medium

  * New upstream release (Closes: #1091359)
  * Add d/watch to track new releases
  * Add d/gbp.conf matching the current practice
  * Update standards version to 4.7.0, no changes needed.
  * Add d/u/metadata
  * Include newly added images in d/info
  * Fix d/watch for version detection
  * Add myself to Uploaders in d/control
  * Enable ELPA tests
  * Keep necessary directories for ELPA tests in d/elpa-test
  * Add new Build-Depends that are required for tests
    - elpa-persist, elpa-request, elpa-tp
  * Add d/ert-helper.el to assist testing
  * Add patches to partially fix tests
  * Skip failed tests and document reasons
  * Use jdupes to dedup identical org documents
    - Also build-depends on jdupes

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 30 Jan 2025 15:41:05 -0800

mastodon-el (1.0.13-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:44:58 +0900

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,17 @@
 Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Martin <debacle@debian.org>
+Uploaders: Martin <debacle@debian.org>,
+ Xiyue Deng <manphiz@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
 	dh-elpa,
-	elpa-el-mock,
+	elpa-el-mock (>= 1.25.1+git20220625.6cfbc9d-1~),
+        elpa-persist,
+        elpa-request,
+        elpa-tp,
+        jdupes,
 	texinfo,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://codeberg.org/martianh/mastodon.el
 Vcs-Git: https://salsa.debian.org/emacsen-team/mastodon-el.git

## mastodon-el 1.1.10

=== debian/changelog ===
mastodon-el (1.1.10-1) unstable; urgency=medium

  * New upstream release
  * Drop version requirement patch; applied upstream

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 17 Feb 2025 01:02:41 -0800

mastodon-el (1.1.9-2) unstable; urgency=medium

  * Fix ERT test failure with older elpa-tp version
    - Add patch to require tp 0.7
    - Update elpa-tp version requirement to >= 0.7

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 13 Feb 2025 01:56:07 -0800

mastodon-el (1.1.9-1) unstable; urgency=medium

  * New upstream release
  * Add "Testsuite: autopkgtest-pkg-elpa" in d/control
    - To speed up migration with successful autopkgtest runs.
  * Add d/salsa-ci.yml with the default template
  * Update package version requirements in d/control
  * Add git <!nocheck> to Build-Depends as required by Salsa CI
  * Run "wrap-and-sort -ast"

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 12 Feb 2025 10:32:08 -0800

=== debian/control ===
Source: mastodon-el
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders:
 Martin <debacle@debian.org>,
 Xiyue Deng <manphiz@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-elpa,
 elpa-el-mock (>= 1.25.1+git20220625.6cfbc9d-1~),
 elpa-persist (>= 0.4),
 elpa-request (>= 0.3.0),
 elpa-tp (>= 0.7),
 git <!nocheck>,
 jdupes,
 texinfo,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://codeberg.org/martianh/mastodon.el
Vcs-Git: https://salsa.debian.org/emacsen-team/mastodon-el.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/mastodon-el
Testsuite: autopkgtest-pkg-elpa

Package: elpa-mastodon
Architecture: all
Depends:
 ${elpa:Depends},
 ${misc:Depends},
Recommends:
 emacs,
Enhances:
 emacs,
Description: Emacs client for the Mastodon and Pleroma social networks
 mastodon.el is an Emacs client for the Mastodon and Pleroma social
 networks. For info see https://joinmastodon.org/. Type M-x mastodon
 to start.

## mastodon-el 1.1.12

=== debian/changelog ===
mastodon-el (1.1.12-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches; applied upstream
  * Update Standards-Version to 4.7.2; no change needed

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 05 Mar 2025 14:35:14 -0800

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  git <!nocheck>,
  jdupes,
  texinfo,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://codeberg.org/martianh/mastodon.el
 Vcs-Git: https://salsa.debian.org/emacsen-team/mastodon-el.git

## mastodon-el 2.0.0

=== debian/changelog ===
mastodon-el (2.0.0-1) unstable; urgency=medium

  * Upload to unstable

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 07 Apr 2025 09:40:22 -0700

mastodon-el (2.0.0-1~exp2) experimental; urgency=medium

  * Drop elpa-request from Build-Depends: no longer required
  * Add d/NEWS with access token storage changes

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 02 Apr 2025 15:34:11 -0700

mastodon-el (2.0.0-1~exp1) experimental; urgency=medium

  * New upstream release
  * Add patch to fix test text
  * Skip other known failing tests

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 31 Mar 2025 23:26:41 -0700

## mastodon-el 2.0.1

=== debian/changelog ===
mastodon-el (2.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 05 Jun 2025 21:51:14 -0700

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
    https://codeberg.org/martianh/mastodon.el/tags \
    (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## mastodon-el 2.0.2

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 	cask emacs -batch -load test/ert-helper.el -f ert-run-tests-batch-and-exit
 
 testsclean:
-	rm -f stubfile.plstore~
+	cask clean-elc && rm -f stubfile.plstore~
 
 ## ################################################################

=== debian/changelog ===
mastodon-el (2.0.2-1) unstable; urgency=medium

  * New upstream release
  * Drop patches that are merged upstream
  * Update skip test list for new version

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 16 Jul 2025 12:59:25 -0700

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  dh-elpa,
  elpa-el-mock (>= 1.25.1+git20220625.6cfbc9d-1~),
  elpa-persist (>= 0.4),
- elpa-request (>= 0.3.0),
  elpa-tp (>= 0.7),
  git <!nocheck>,
  jdupes,

## mastodon-el 2.0.3

=== debian/changelog ===
mastodon-el (2.0.3-1) unstable; urgency=medium

  * New upstream release
  * Migrate d/watch to rfc822-style version 5 format
  * Drop `Rules-Requires-Root: no'
    - This has been the default since dpkg 1.22.13.
  * Update package description from the latest upstream README.org

 -- Xiyue Deng <manphiz@gmail.com>  Fri, 10 Oct 2025 04:14:18 -0700

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
  jdupes,
  texinfo,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://codeberg.org/martianh/mastodon.el
 Vcs-Git: https://salsa.debian.org/emacsen-team/mastodon-el.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/mastodon-el
@@ -30,7 +29,6 @@
  emacs,
 Enhances:
  emacs,
-Description: Emacs client for the Mastodon and Pleroma social networks
- mastodon.el is an Emacs client for the Mastodon and Pleroma social
- networks. For info see https://joinmastodon.org/. Type M-x mastodon
- to start.
+Description: Emacs client for the ActivityPub social networks
+ mastodon.el is an Emacs client for the ActivityPub social networks
+ that implement the Mastodon API. For info see https://joinmastodon.org.

=== debian/rules ===
--- 
+++ 
@@ -6,4 +6,6 @@
 %:
 	dh $@ --with elpa
 
-override_dh_elpa_test:
+override_dh_link:
+	dh_link
+	jdupes -rl debian/elpa-mastodon/usr

## mastodon-el 2.0.5

=== debian/changelog ===
mastodon-el (2.0.5-1) unstable; urgency=medium

  * New upstream release

 -- Xiyue Deng <manphiz@gmail.com>  Wed, 12 Nov 2025 23:18:51 -0800

## mastodon-el 2.0.6

=== debian/changelog ===
mastodon-el (2.0.6-1) unstable; urgency=medium

  * New upstream release

 -- Xiyue Deng <manphiz@gmail.com>  Sun, 16 Nov 2025 23:45:56 -0800

## mastodon-el 2.0.7

=== debian/changelog ===
mastodon-el (2.0.7-1) unstable; urgency=medium

  * New upstream release

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 17 Nov 2025 14:30:52 -0800

=== debian/watch ===
Version: 5

Source: https://codeberg.org/martianh/mastodon.el/tags
Matching-Pattern: (?:.*?/)?@ANY_VERSION@@ARCHIVE_EXT@
Filename-Mangle: s/(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/

## mastodon-el 2.0.12

=== debian/changelog ===
mastodon-el (2.0.12-1) unstable; urgency=medium

  * New upstream release
  * Mark elpa-el-mock as <!nocheck>
  * Update build dependencies version requirements
    - elpa-persist >= 0.8.
    - elpa-tp >= 0.8.
  * Update Standards-Version to 4.7.3; no change needed
  * Drop `Priority: optional'; now default

 -- Xiyue Deng <manphiz@gmail.com>  Tue, 03 Mar 2026 16:05:11 -0800

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: mastodon-el
 Section: editors
-Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders:
  Martin <debacle@debian.org>,
@@ -8,13 +7,13 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-elpa,
- elpa-el-mock (>= 1.25.1+git20220625.6cfbc9d-1~),
- elpa-persist (>= 0.4),
- elpa-tp (>= 0.7),
+ elpa-el-mock (>= 1.25.1+git20220625.6cfbc9d-1~) <!nocheck>,
+ elpa-persist (>= 0.8),
+ elpa-tp (>= 0.8),
  git <!nocheck>,
  jdupes,
  texinfo,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://codeberg.org/martianh/mastodon.el
 Vcs-Git: https://salsa.debian.org/emacsen-team/mastodon-el.git
 Vcs-Browser: https://salsa.debian.org/emacsen-team/mastodon-el
